Find Payment Charges
curl --request GET \
--url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/payments/{payment-id}/charges \
--header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'import requests
url = "https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/payments/{payment-id}/charges"
headers = {"X-SFPY-AGGREGATOR-SECRET-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-SFPY-AGGREGATOR-SECRET-KEY': '<api-key>'}};
fetch('https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/payments/{payment-id}/charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "v1",
"data": {
"payment_id": "pm_8084eaf1-0f1b-43ef-bd27-23743d9c37f6",
"gross_amount": "500",
"currency": "PKR",
"fee_amount": "2",
"net_amount": "483",
"sales_tax_on_fee_amount": "0",
"sales_tax_withholding_amount": "10",
"income_tax_withholding_amount": "5",
"digital_tax_amount": "0"
}
}{
"api_version": "v1",
"error": {
"code": "error.unauthorized_access",
"message": "partner access key is required in request header"
}
}{
"code": "error.not_found",
"message": "Requested resource not found"
}Payments
Find Payment Charges
Retrieve the fee and tax breakdown applied to a payment.
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
/
payments
/
{payment-id}
/
charges
Find Payment Charges
Authorizations
Path Parameters
The unique identifier for the aggregator
Example:
"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"
The unique identifier for the payment
Example:
"pm_2288490a-2176-4de5-b373-0ffb6f8e2e6e"
Response
This response contains the fee and tax breakdown of a payment
Was this page helpful?